Eclipse3.4.2(Ganymede)でのSAStuts開発環境構築


プラグインの依存関係でちょっとはまったのでメモ

subversive

eclipse 起動し、Help > Software Updates... で以下の2つの更新サイトを追加

以下をチェック

そのままインストール

subversive の動作確認

メニューから、[Window] -> [Open Perspectiv] -> [Other...] を選択
ダイアログ から [SVN リポジトリー・エクスプローラー] を選択


リポジトリー・エクスプローラーで[Nwe Repository Location]のアイコン選択
適当なリポジトリ入力


リポジトリー・エクスプローラーにリポジトリが表示される


大丈夫そう・・

m2Eclipse

更新サイトは以下を指定
http://m2eclipse.sonatype.org/update/

以下は依存関係の問題で選択できないためチェックはずした


m2eclipseはJDKが必要だ!と起動時に怒られるのでeclipse.iniに以下のようにJDKの場所を指定する

-vm
C:\Program Files\Java\jdk1.6.0_12\bin

dolteng

更新サイトは以下を指定
http://eclipse.seasar.org/updates/3.3/

Dolteng」「DbLauncher」「SAStruts」を選択

SAStrutsプロジェクト作成確認

新規プロジェクトをDoltengプロジェクトで作成


作成されたプロジェクトを右クリックしてH2起動


[Open View]でDoltengの中にあるDatabaseViewを開くとDEPTとEMPがすでに作成されている
プロジェクトのsrc/main/resources/data 内のデータがデータベースのデータ


DEPT表を右クリックしてScaffold Applocationを選択する


これでDEPT表に関するマスタメンテアプリが自動作成される


サーバで実行して動作確認

リポジトリへ格納

プロジェクト右クリックしてプロジェクトの共有


すでにリポジトリ用意しておいたので・・ 登録

そのまま進む・・


リポジトリの確認

できてるみたい